ServerEvents.recipes(event => {
  event.recipes.summoningrituals
    .altar(Item.of('relics:jellyfish_necklace'))

    .mobOutput('bossesunleashed:wormhole')

    .input('terramity:cracked_microcosm')
    .input('terramity:void_alloy')
    .input('ancient_elements:galactrium_ingot')
    .input('32x minecraft:end_stone')
    .input('minecraft:water_bucket')
    .blockBelow('armageddon_mod:voiderite_ore')

    .recipeTime(400) 
})
